public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/aide/
Date: Wed, 17 May 2023 00:37:53 +0000 (UTC)	[thread overview]
Message-ID: <1684283821.a76d27ae0fb8407249f57a589454af8fdd47a408.sam@gentoo> (raw)

commit:     a76d27ae0fb8407249f57a589454af8fdd47a408
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 00:37:01 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 17 00:37:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a76d27ae

app-forensics/aide: add 0.18.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-forensics/aide/Manifest           |   1 +
 app-forensics/aide/aide-0.18.3.ebuild | 106 ++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/app-forensics/aide/Manifest b/app-forensics/aide/Manifest
index a3f57e1fe912..e655a31b1f76 100644
--- a/app-forensics/aide/Manifest
+++ b/app-forensics/aide/Manifest
@@ -1,3 +1,4 @@
 DIST aide-0.17.4.tar.gz 331783 BLAKE2B 584a385d0a0e80edf0b89eef202431adfea7fe8ba04c774e49dfb7230e766e19a48572e9d6c80386668572e459db9770b04978df484bd49c7de6433657500e13 SHA512 b6dba54fd204e1899d47b0b4139786cbeaa51c388027e2cfc1bb839297a70ae8ad6f37429594a730fac8007d62b4ba5b61a4aa22edbc55cbe986ccfaf5197f31
 DIST aide-0.18.2.tar.gz 382582 BLAKE2B 267233a4dfdbc5a433389c20a1abe753133dfa01ecc205769c89a9b4699535b1d00e9df6527ae8298f4cb920e2f755e4d75d17b4a2449041a85c8c5e5ecc2abc SHA512 3a209db9dc1adb345494ce20a5c3def9f40ae49723d3a978d8e9b38f43239496a330b484ed93adba88154770ce1f1a0f3cdeb2ff8d991d28a1d66cfa6cd9b68b
+DIST aide-0.18.3.tar.gz 382694 BLAKE2B f5e79d80c1fa2ba15096d38c1a1d197fc8665bc0ff03665367abce7722561f2054cc64f51429a1411d6aaa0df315869ac99314e660acdff31bf1dc6b471a62b8 SHA512 22f1d2d3e14fa88639587f5a61e114b89c784a87f636c1bbb245e620254b60ec07692e51ae27386a84810d7a915e0ddf5c5073fecb6eb72148ff5035ef8525eb
 DIST aide-0.18.tar.gz 375922 BLAKE2B 03c961682fd25581831ca0715e57546b5595057115a456778ac0846fd1f23622600a061e2d8524f7381dfa6d43cefcdaa52d00eed2639dd60c7f3501efe8b474 SHA512 99d8140523ebe1d80b5d73c20bf13b8559aa22f08a9df485c15daeba7f5448c27d86ed310f2e7963076958dbe1fc2e4636807ca073dd0a6568b4eb8af2a38f4b

diff --git a/app-forensics/aide/aide-0.18.3.ebuild b/app-forensics/aide/aide-0.18.3.ebuild
new file mode 100644
index 000000000000..1b15f02fa969
--- /dev/null
+++ b/app-forensics/aide/aide-0.18.3.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1
+
+DESCRIPTION="AIDE (Advanced Intrusion Detection Environment) is a file integrity checker"
+HOMEPAGE="https://aide.github.io/ https://github.com/aide/aide"
+SRC_URI="https://github.com/aide/aide/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="acl audit curl e2fs mhash selinux xattr"
+
+DEPEND="
+	dev-libs/libpcre2
+	sys-libs/zlib
+	acl? ( virtual/acl )
+	audit? ( sys-process/audit )
+	curl? ( net-misc/curl )
+	e2fs? ( sys-fs/e2fsprogs )
+	!mhash? (
+		dev-libs/libgcrypt:=
+		dev-libs/libgpg-error
+	)
+	mhash? ( app-crypt/mhash )
+	selinux? ( sys-libs/libselinux )
+	xattr? ( sys-apps/attr )
+"
+RDEPEND="
+	${DEPEND}
+	selinux? ( sec-policy/selinux-aide )
+"
+BDEPEND="
+	sys-devel/bison
+	sys-devel/flex
+	virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING=1
+DOC_CONTENTS="
+Example configuration file was installed at '${EPREFIX}/etc/aide/aide.conf'.
+Please edit it to meet your needs. Refer to aide.conf(5) manual page
+for more information.
+
+A helper script, aideinit, was installed and can be used to make AIDE
+management easier. Please run 'aideinit --help' for more information."
+
+src_prepare() {
+	default
+
+	# Only needed for snapshots.
+	if [[ ${PV} == *_p* ]] ; then
+		echo "m4_define([AIDE_VERSION], [${PV}])" > version.m4 || die
+	fi
+}
+
+src_configure() {
+	# Needs Bison, flex
+	unset YACC
+	export LEX=flex
+
+	local myeconfargs=(
+		--sysconfdir="${EPREFIX}"/etc/${PN}
+
+		# Needed even in EAPI=8, >=portage-3.0.40 skips it here (bug #887177)
+		--disable-static
+
+		# Disable broken l10n support: https://sourceforge.net/p/aide/bugs/98/
+		# This doesn't affect anything because there are no localizations yet.
+		--without-locale
+
+		--with-zlib
+		$(use_with curl)
+		$(use_with acl posix-acl)
+		$(use_with selinux)
+		$(use_with xattr)
+		$(use_with e2fs e2fsattrs)
+		$(use_with mhash mhash)
+		$(use_with !mhash gcrypt)
+		$(use_with audit)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	readme.gentoo_create_doc
+
+	insinto /etc/${PN}
+	insopts -m0600
+	newins "${FILESDIR}"/aide.conf-r2 aide.conf
+
+	dosbin "${FILESDIR}"/aideinit
+	dodoc -r contrib/ "${FILESDIR}"/aide.cron-r2
+
+	keepdir /var/{lib,log}/${PN}
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2023-05-17  0:37 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-17  0:37 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-10 15:57 [gentoo-commits] repo/gentoo:master commit in: app-forensics/aide/ Sam James
2024-09-10 15:57 Sam James
2024-06-14 10:36 Arthur Zamarin
2023-07-14 17:07 Arthur Zamarin
2023-07-14 16:23 Arthur Zamarin
2023-06-22 18:03 Arthur Zamarin
2023-06-22 17:46 Arthur Zamarin
2023-06-14  2:48 Sam James
2023-05-09 11:37 Arthur Zamarin
2023-05-09  5:52 Arthur Zamarin
2023-05-03 18:58 Sam James
2023-04-07 14:49 Sam James
2023-03-17 17:29 Sam James
2023-02-06 23:16 Sam James
2023-02-06 23:16 Sam James
2023-01-08  7:31 Joonas Niilola
2023-01-08  7:31 Joonas Niilola
2022-12-19 16:42 Ionen Wolkens
2022-12-19 16:26 Ionen Wolkens
2022-04-17 20:05 Sam James
2022-03-19 19:21 Agostino Sarubbo
2022-03-12  0:12 Sam James
2022-02-23  9:40 Jakov Smolić
2021-11-23 17:39 Sam James
2021-05-04  7:03 Agostino Sarubbo
2021-05-04  7:01 Agostino Sarubbo
2021-04-06 21:17 Sam James
2020-09-20 15:58 Mikle Kolyada
2018-05-20 12:21 Mikle Kolyada
2018-04-17 22:09 Thomas Deutschmann
2018-04-15 23:49 Aaron Bauman
2017-08-11 17:38 Michał Górny
2017-06-30 11:10 Agostino Sarubbo
2017-06-29  8:06 Agostino Sarubbo
2017-05-27 20:59 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684283821.a76d27ae0fb8407249f57a589454af8fdd47a408.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox